﻿@model eCommerce.Services.Model.Customer
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Registro mayorista";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<main id="authentication">
    <div class="register-content">
        <div class="user-info" style="border:none;">
            <h2>FORMULARIO MAYORISTA</h2>
            @*<p class="page-subtitle">* Campos Obligatorios</p>*@

            @using (Html.BeginForm("RegisterWholesaler", "Account", FormMethod.Post, new { @id = "RegisterForm", @class = "register-form cf-style-1", @autocomplete = "off" }))
            {
                @Html.AntiForgeryToken()
                @*@Html.HiddenFor(model => model.UserType)*@

                <div class="field-row">
                    <div class="__register-input">
                        <label>Nombre y Apellido*</label>
                        <input type="text" class="__form-input" name="FullName" value="@Model.FullName" autocomplete="off" required>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Email*</label>
                        <input type="email" class="__form-input" name="Email" value="@Model.Email" autocomplete="off" required>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Contraseña*</label>
                        <input type="password" name="Password" class="__form-input" required>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Teléfono*</label>
                        <input type="text" name="Cellphone" class="__form-input" required>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Razón social*</label>
                        <input type="text" name="CorporateName" class="__form-input" autocomplete="off" required>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>CUIT*</label>
                        <input type="text" name="CUIT" class="__form-input js-cuit" pattern=".{13,}" required>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Condición Iva*</label>
                        <select id="IvaCondition" name="IvaConditionId" class="__form-input">
                            <option value="@((int)IvaConditionEnum.ConsumidorFinal)">Consumidor Final</option>
                            <option value="@((int)IvaConditionEnum.Monotributista)">Monotributista</option>
                            <option value="@((int)IvaConditionEnum.ResponsableInscripto)">Responsable Inscripto (RI)</option>
                            <option value="@((int)IvaConditionEnum.Exento)">Exento</option>
                        </select>
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Dirección</label>
                        <input type="text" name="Address" autocomplete="off" class="__form-input">
                    </div>
                </div>
                <div class="field-row">
                    <div class="__register-input">
                        <label>Provincia*</label>
                        <select id="ProvinceId" name="ProvinceId" class="__form-input">
                            @if (TempData["Provinces"] != null)
                            {
                                foreach (var item in (SelectList)TempData["Provinces"])
                                {
                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                }
                            }
                        </select>
                    </div>
                </div>
                @*<div class="field-row">
                    <div class="__register-input">
                        <label>Localidad*</label>
                        <select id="CityId" name="CityId" class="__form-input" required>
                            @if (TempData["Cities"] != null)
                            {
                                foreach (var item in (SelectList)TempData["Cities"])
                                {
                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                }
                            }
                        </select>

                    </div>
                </div>*@
                <div class="field-row">
                    <div class="__register-input">
                        <label>Código Postal*</label>
                        <input type="text" name="ZipCode" class="__form-input" autocomplete="off" required>
                    </div>
                </div>
                @*<div class="field-row">
                    <div class="__register-input">
                        <label>¿Dónde vendés?</label>
                        <select id="SellingLocationId" name="SellingLocationId" class="__form-input" required>
                            <option value="">Seleccione una opción</option>
                            <option value="@((int)SellingLocationEnum.Local)">Local</option>
                            <option value="@((int)SellingLocationEnum.Showroom)">Showroom</option>
                            <option value="@((int)SellingLocationEnum.Ninguno)">Ninguno</option>
                        </select>
                    </div>
                </div>*@

                <div class="field-row">
                    <div class="__register-input">
                        <div class="checkbox pull-right">
                            <label><input type="checkbox" name="Newsletter" checked>Quiero recibir newsletters con noticias, eventos e información sobre los productos.</label>
                        </div>
                    </div>
                </div>
                <div>
                    @*<button type="submit" class="__register-button">Registrarme</button>*@
                    <button type="submit" class="button js-register pull-right">Enviar</button>
                </div>
            }
        </div>
    </div>
</main>

@section Scripts{

<script src="/Scripts/jquery.cascadingDropDown.js" type="text/javascript"></script>

    <script>
        $(document).ready(function () {

            $("#CityId").CascadingDropDown("#ProvinceId", '/Account/AsyncCities/',
            {
                promptText: 'Elija una Ciudad',
                postData: function () {
                    return { ProvinceId: $('#ProvinceId').val() };
                },
                onLoading: function () {
                    //$(this).css("background-color", "#ffffff");
                },
                onLoaded: function () {
                    $(this).val('@Model.CityId.ToString()').change();
                }
            });

            $('#ProvinceId').change();

            $('.js-cuit').mask('00-00000000-0');
        });

        var validCUIT = false;

        $('.js-cuit').change(function () {
            validCUIT = false;
            $('.js-cuit').addClass('__form-input--invalid');
        });

        $('.js-cuit').on('blur', function () {
            var cuit = $(this).val();
            if (cuit.length < 13)
                return false;

            if (!validCUIT) {
                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/Account/ValidateCUIT",
                    data: { CUIT: cuit },
                    success: function (data) {
                        validCUIT = data.Valid;
                        if (!validCUIT) {
                            $('.js-cuit').addClass('__form-input--invalid');
                            toastr.warning('El CUIT ingresado no es válido.');
                        } else {
                            $('.js-cuit').removeClass('__form-input--invalid');
                        }
                    }
                });
            }
        });
    </script>
}
